import { ModuleRoot } from "queenjs";
import { actions } from "./actions";
import { components } from "./components";
import { stores } from "./stores";
import { BusController } from "@/controllers/natsController";

export class LauncherModule extends ModuleRoot {
  components = this.useComponents(components);
  store = this.createStore(stores);
  actions = this.createActions(actions);

  controls = {
    natsCtrl: new BusController(),
  };
}
